Public Member Functions | Public Attributes | List of all members
clan::GlyphMetrics Class Reference
clanDisplay Font

Glyph metrics class. More...

`#include <glyph_metrics.h>`

## Public Member Functions
| GlyphMetrics ()
| GlyphMetrics (const Pointf &bbox_offset, const Sizef &bbox_size, const Sizef &advance)

## Public Attributes
Sizef | advance
| Distance the write cursor is moved. More...
Pointf | bbox_offset
| Bounding box offset relative to the write cursor position. More...
Sizef | bbox_size
| Bounding box size The bounding box is the smallest rectangle that completely encloses the glyph. More...

## Detailed Description

Glyph metrics class.

The documentation for this class was generated from the following file:

- glyph_metrics.h